# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
class QosGetParamRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Dyiotapi', '2017-11-11', 'QosGetParam')

	def get_SourcePublicIpAddress(self):
		return self.get_query_params().get('SourcePublicIpAddress')

	def set_SourcePublicIpAddress(self,SourcePublicIpAddress):
		self.add_query_param('SourcePublicIpAddress',SourcePublicIpAddress)

	def get_SourcePrivateIpAddress(self):
		return self.get_query_params().get('SourcePrivateIpAddress')

	def set_SourcePrivateIpAddress(self,SourcePrivateIpAddress):
		self.add_query_param('SourcePrivateIpAddress',SourcePrivateIpAddress)

	def get_Msisdn(self):
		return self.get_query_params().get('Msisdn')

	def set_Msisdn(self,Msisdn):
		self.add_query_param('Msisdn',Msisdn)

	def get_AppId(self):
		return self.get_query_params().get('AppId')

	def set_AppId(self,AppId):
		self.add_query_param('AppId',AppId)

	def get_Longitude(self):
		return self.get_query_params().get('Longitude')

	def set_Longitude(self,Longitude):
		self.add_query_param('Longitude',Longitude)

	def get_Latitude(self):
		return self.get_query_params().get('Latitude')

	def set_Latitude(self,Latitude):
		self.add_query_param('Latitude',Latitude)

	def get_Imsi(self):
		return self.get_query_params().get('Imsi')

	def set_Imsi(self,Imsi):
		self.add_query_param('Imsi',Imsi)

	def get_Operator(self):
		return self.get_query_params().get('Operator')

	def set_Operator(self,Operator):
		self.add_query_param('Operator',Operator)