# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
class SendSmsRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Dybaseapi', '2017-05-25', 'SendSms')

	def get_TemplateCode(self):
		return self.get_query_params().get('TemplateCode')

	def set_TemplateCode(self,TemplateCode):
		self.add_query_param('TemplateCode',TemplateCode)

	def get_SignName(self):
		return self.get_query_params().get('SignName')

	def set_SignName(self,SignName):
		self.add_query_param('SignName',SignName)

	def get_TemplateParam(self):
		return self.get_query_params().get('TemplateParam')

	def set_TemplateParam(self,TemplateParam):
		self.add_query_param('TemplateParam',TemplateParam)

	def get_SignatureNonce(self):
		return self.get_query_params().get('SignatureNonce')

	def set_SignatureNonce(self,SignatureNonce):
		self.add_query_param('SignatureNonce',SignatureNonce)

	def get_SignatureVersion(self):
		return self.get_query_params().get('SignatureVersion')

	def set_SignatureVersion(self,SignatureVersion):
		self.add_query_param('SignatureVersion',SignatureVersion)

	def get_Format(self):
		return self.get_query_params().get('Format')

	def set_Format(self,Format):
		self.add_query_param('Format',Format)

	def get_SmsUpExtendCode(self):
		return self.get_query_params().get('SmsUpExtendCode')

	def set_SmsUpExtendCode(self,SmsUpExtendCode):
		self.add_query_param('SmsUpExtendCode',SmsUpExtendCode)

	def get_OutId(self):
		return self.get_query_params().get('OutId')

	def set_OutId(self,OutId):
		self.add_query_param('OutId',OutId)

	def get_Version(self):
		return self.get_query_params().get('Version')

	def set_Version(self,Version):
		self.add_query_param('Version',Version)

	def get_Timestamp(self):
		return self.get_query_params().get('Timestamp')

	def set_Timestamp(self,Timestamp):
		self.add_query_param('Timestamp',Timestamp)

	def get_PhoneNumbers(self):
		return self.get_query_params().get('PhoneNumbers')

	def set_PhoneNumbers(self,PhoneNumbers):
		self.add_query_param('PhoneNumbers',PhoneNumbers)

	def get_SignatureMethod(self):
		return self.get_query_params().get('SignatureMethod')

	def set_SignatureMethod(self,SignatureMethod):
		self.add_query_param('SignatureMethod',SignatureMethod)

	def get_Signature(self):
		return self.get_query_params().get('Signature')

	def set_Signature(self,Signature):
		self.add_query_param('Signature',Signature)